<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>..\Performance.Api\wwwroot\Performance.DtoModels.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="PerExcel\PerComputeData.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="8.0.0" />
    <PackageReference Include="FluentValidation.AspNetCore" Version="8.1.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Performance.EntityModels\Performance.EntityModels.csproj" />
    <ProjectReference Include="..\Performance.Infrastructure\Performance.Infrastructure.csproj" />
  </ItemGroup>

</Project>
